# SRNA - Semantics-aware recurrent neural nets

This paper contains the code to reproduce the paper's results.

Run benchmarks as:

```
python3 evaluate.py --hybridRNN True --core_dataset reuters
```

for the example reuters data set.

Citation:

```
@article{skrlj_2019, title={Towards Robust Text Classification with Semantics-Aware Recurrent Neural Architecture}, volume={1}, ISSN={2504-4990}, url={http://dx.doi.org/10.3390/make1020034}, DOI={10.3390/make1020034}, number={2}, journal={Machine Learning and Knowledge Extraction}, publisher={MDPI AG}, author={Škrlj, Blaž and Kralj, Jan and Lavrač, Nada and Pollak, Senja}, year={2019}, month={Apr}, pages={575–589}}
```